cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/auth/azure-auth/identities/{identityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": "<string>",
"resource": "<string>",
"allowedServicePrincipalIds": "",
"accessTokenTrustedIps": [
{
"ipAddress": "<string>"
}
],
"accessTokenTTL": 157680000,
"accessTokenNumUsesLimit": 1,
"accessTokenMaxTTL": 157680000
}
'import requests
url = "https://us.infisical.com/api/v1/auth/azure-auth/identities/{identityId}"
payload = {
"tenantId": "<string>",
"resource": "<string>",
"allowedServicePrincipalIds": "",
"accessTokenTrustedIps": [{ "ipAddress": "<string>" }],
"accessTokenTTL": 157680000,
"accessTokenNumUsesLimit": 1,
"accessTokenMaxTTL": 157680000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantId: '<string>',
resource: '<string>',
allowedServicePrincipalIds: '',
accessTokenTrustedIps: [{ipAddress: '<string>'}],
accessTokenTTL: 157680000,
accessTokenNumUsesLimit: 1,
accessTokenMaxTTL: 157680000
})
};
fetch('https://us.infisical.com/api/v1/auth/azure-auth/identities/{identityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identityAzureAuth": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "<string>",
"resource": "<string>",
"allowedServicePrincipalIds": "<string>",
"accessTokenTTL": 7200,
"accessTokenMaxTTL": 7200,
"accessTokenNumUsesLimit": 0,
"accessTokenTrustedIps": "<unknown>",
"accessTokenPeriod": 0
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Azure Auth
Update
Update Azure Auth configuration on machine identity
PATCH
/
api
/
v1
/
auth
/
azure-auth
/
identities
/
{identityId}
cURL
Authorizations
An access token in Infisical
Path Parameters
The ID of the machine identity to update the auth method for.
Body
application/json
The new tenant ID for the Azure AD organization.
The new resource URL for the application registered in Azure AD.
The new comma-separated list of Azure AD service principal IDs that are allowed to authenticate with Infisical.
The new IPs or CIDR ranges that access tokens can be used from.
Minimum array length:
1Show child attributes
Show child attributes
The new lifetime for an access token in seconds.
Required range:
0 <= x <= 315360000The new maximum number of times that an access token can be used.
Required range:
x >= 0The new maximum lifetime for an access token in seconds.
Required range:
0 <= x <= 315360000Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I